; Especificaciones: ADC BC, A para ZX Spectrum 16K/48K.
; Descripción general: Suma el contenido de un registro doble
; con un registro simple.
; Longitud: 13 bytes.
; Entrada: Ningún requerimiento.
; Salida: BC contiene la suma de A+BC.
; Registros usados: A, B y C.
; Nota: El programa debe ser accedido con PRINT USR.
org		$7000

ld		b, $70		; B = $70
ld		c, $02		; C = $02
ld		a, $ff		; A = $FF

add		a, c		; A = A + C
ld		c, a		; C = A
ld		a, $00		; A = 0
adc		a, b		; A = A + B + Arrastre
ld		b, a		; B = A

ret

end		$7000