; Especificaciones: Ejercico página 195 para ZX Spectrum 16K/48K.
; Descripción general: Impresión de varios pixeles
; con la función OVER 1 (Direccionamiento extendido).
; Longitud: 26 bytes.
; Entrada: Ningún requerimiento.
; Salida: Impresión OVEER 1 de un pixel en coordenadas.
; Registros usados: A, B y C en programa.
;					A, B, C, D, E, H y L en rutina ROM.
org		$7000

PLOT	equ $22e5

Inicio:
	ld		bc, $00			; BC = 0
	ld		a, $80			; A=$80=128=Contador
	ld		(iy+$57), $03	; OVER 1
Bucle:
	push	af
	push	bc				; Preserva AF y BC
	call	PLOT			; PLOT
	pop		bc
	pop		af				; Recupera BC y AF
	inc		b
	inc		c				; B=B+1		C=C+1
	dec		a				; A=A-1
	jr		nz, Bucle		; Bucle hasta que A=0
Fin:
	ld		(iy+$57), $00	; OVER 0
	ret

end		$7000